Skip to main content
GET
List realtime payments

Authorizations

Authorization
string
header
required

Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.

Headers

X-Instance-ID
string | null

Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.

Maximum string length: 1024

Query Parameters

customerPartyId
string

Customer party to act for (pty_*). Omit to act as your own party. To act for another party, pass the ID of a party that has authorized you to act on its behalf.

Pattern: ^pty_[0-9a-f]{32}$
status
enum<string>

Filter by status.

Available options:
CREATED,
AWAITING_APPROVAL,
APPROVAL_DENIED,
PROCESSING,
SETTLED,
FAILED,
CANCELED
externalPartyId
string

Only payments to this external party (epty_*).

Pattern: ^epty_[0-9a-f]{32}$
externalPartyAccountId
string

Only payments using this account (epa_*).

Pattern: ^epa_[0-9a-f]{32}$
limit
integer
default:50

Maximum results per page.

Required range: 1 <= x <= 100
cursor
string

Cursor from the previous page.

Maximum string length: 1024

Response

Successful Response

data
RealtimeResource · object[]
required
meta
object
required